package com.fastbee.ggroup.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.ggroup.domain.GSiteInfo;
import org.apache.ibatis.annotations.Mapper;

/**
 * 站点基础信息Mapper接口
 *
 * @author kerwincui
 * &#064;date  2024-10-10
 */
@Mapper
public interface GSiteInfoMapper extends BaseMapper<GSiteInfo>
{
    /**
     * 查询站点基础信息
     *
     * @param id 站点基础信息主键
     * @return 站点基础信息
     */
    GSiteInfo selectGSiteInfoById(Long id);

    /**
     * 查询站点基础信息列表
     *
     * @param gSiteInfo 站点基础信息
     * @return 站点基础信息集合
     */
    List<GSiteInfo> selectGSiteInfoList(GSiteInfo gSiteInfo);

    /**
     * 新增站点基础信息
     *
     * @param gSiteInfo 站点基础信息
     * @return 结果
     */
    int insertGSiteInfo(GSiteInfo gSiteInfo);

    /**
     * 修改站点基础信息
     *
     * @param gSiteInfo 站点基础信息
     * @return 结果
     */
    int updateGSiteInfo(GSiteInfo gSiteInfo);

    /**
     * 删除站点基础信息
     *
     * @param id 站点基础信息主键
     * @return 结果
     */
    int deleteGSiteInfoById(Long id);

    /**
     * 批量删除站点基础信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteGSiteInfoByIds(Long[] ids);
}
